'Graph Sin(x) over the range 0 to 2Pi.
Option Explicit

Const TristateTrue = -1
Const Pi = 3.14159
Const NumWidth = 6
Const Scale = 25

Dim Spaces

Function FormatSingle(ByVal Value)
    Dim Temp

    Temp = FormatNumber(Value, 2, TriStateTrue)
    FormatSingle = Space(NumWidth - Len(Temp)) & Temp
End Function

Sub Plot(ByVal X, ByVal Y)
    Dim Line
    Dim Pos

    Line = Spaces & "|" & Spaces
    Pos = 1 + (Y + 1) * Scale
    Line = Left(Line, Pos - 1) & "*" & Mid(Line, Pos + 1)
    WScript.Echo FormatSingle(X) & " -" & Line & "+" & FormatSingle(Y)
End Sub

'==Main Program ============================================
Dim Angle

Spaces = Space(Scale)
For Angle = 0 To 2 * Pi Step 0.2
    Plot Angle, Sin(Angle)
Next