Option Explicit

Private Const adCmdTable = 2
Private Const adLockOptimistic = 3
Private Const adOpenStatic = 3
Private Const adInteger = 3

Private catWB, tblWS, rsWS, intRow

Private Sub AddColumn(ByVal Table, ByVal ColName)
  Dim Column

  Set Column = CreateObject("ADOX.Column")
  Column.Name = ColName
  Column.Type = adInteger
  Table.Columns.Append Column
End Sub

Set catWB = CreateObject("ADOX.Catalog")
catWB.ActiveConnection = _
    "Provider=Microsoft.Jet.OLEDB.4.0;Data Source='created.xls';" _
  & "Extended Properties='Excel 8.0;HDR=Yes'"
Set tblWS = CreateObject("ADOX.Table")
tblWS.Name = "Sample"
AddColumn tblWS, "First"
AddColumn tblWS, "Second"
AddColumn tblWS, "Third"
catWB.Tables.Append tblWS
Set tblWS = Nothing
Set rsWS = CreateObject("ADODB.Recordset")
With rsWS
  Set .ActiveConnection = catWB.ActiveConnection
  Set catWB = Nothing
  .Open "Sample", , adOpenStatic, adLockOptimistic, adCmdTable
  For intRow = 2 To 100
    .AddNew
    .Fields("First").Value = intRow * 10
    .Fields("Second").Value = intRow * 100
    .Fields("Third").Value = intRow + 10000
    .Update
  Next
  .Close
End With
Set rsWS = Nothing

MsgBox "Complete!", vbOkOnly, "Create Workbook"
